---
title: llarp/util/fs.hpp

---

# llarp/util/fs.hpp



## Namespaces

| Name           |
| -------------- |
| **[fs](Namespaces/namespacefs.md)**  |
| **[std::filesystem](Namespaces/namespacestd_1_1filesystem.md)**  |




## Source code

```cpp
#pragma once
#include <fstream>
#ifdef USE_GHC_FILESYSTEM
#include <ghc/filesystem.hpp>
namespace fs = ghc::filesystem;
#else
#include <filesystem>
namespace fs
{
  using namespace std::filesystem;
  using ifstream = std::ifstream;
  using ofstream = std::ofstream;
  using fstream = std::fstream;
}  // namespace fs
#endif
```


-------------------------------

Updated on 2022-11-17 at 23:47:53 +0000
